name: lint

on: [push]

jobs:
  lint-linux:
    name: Lint on Linux
    runs-on: ubuntu-latest

    steps:
      - name: Check out files
        uses: actions/checkout@v4

      - name: Compile scripts
        uses: addnab/docker-run-action@v3
        with:
          image: xensik/gsc-tool:latest
          options: --volumes-from=${{ env.JOB_CONTAINER_NAME }}
          run: |
            cd ${{ github.workspace }}
            gsc-tool --dry -m parse -g iw6 -s pc .
